Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.util
Class ClipboardManager

    java.lang.Object
      com.bea.apps.groupspace.util.ClipboardManager

    public class ClipboardManager

extends Object

Field Summary
`static String` | `ADDED_CLIPBOARD_CONTENT_REQUEST_KEY`
`static String` | `CLIPBOARD_FULL_REQUEST_KEY`
`static String` | `INVALID_CLIPBOARD_TYPE_KEY`

Constructor Summary
`ClipboardManager()`

Method Summary
`static void` | `addToClipboard(ContentBase content, HttpServletRequest request, HttpServletResponse response)`
`void` | `clearClipboard(HttpServletRequest request)`
`static Set<ContentBase>` | `getClipboard(HttpServletRequest request)`
`static Set<ContentBase>` | `getClipboard(String contentType, HttpServletRequest request)`
`static boolean` | `isValidClipboardType(ContentBase content)`
`static ContentBase` | `removeFromClipboard(String contentId, HttpServletRequest request)`
`static void` | `update(ContentBase content, HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDED_CLIPBOARD_CONTENT_REQUEST_KEY

    public static String ADDED_CLIPBOARD_CONTENT_REQUEST_KEY

### CLIPBOARD_FULL_REQUEST_KEY

    public static String CLIPBOARD_FULL_REQUEST_KEY

### INVALID_CLIPBOARD_TYPE_KEY

    public static String INVALID_CLIPBOARD_TYPE_KEY

Constructor Detail

### ClipboardManager

    public ClipboardManager()

Method Detail

### addToClipboard

    public static void addToClipboard(ContentBase content,
                                      HttpServletRequest request,
                                      HttpServletResponse response)
                               throws ClipboardFullException,
                                      InvalidClipboardTypeException

  Throws
    `ClipboardFullException`
    `InvalidClipboardTypeException`

### getClipboard

    public static Set<ContentBase> getClipboard(HttpServletRequest request)

### getClipboard

    public static Set<ContentBase> getClipboard(String contentType,
                                                HttpServletRequest request)

### clearClipboard

    public void clearClipboard(HttpServletRequest request)

### removeFromClipboard

    public static ContentBase removeFromClipboard(String contentId,
                                                  HttpServletRequest request)

### update

    public static void update(ContentBase content,
                              HttpServletRequest request)

### isValidClipboardType

    public static boolean isValidClipboardType(ContentBase content)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved